---
stages:
  - lint

shellcheck:
  image: koalaman/shellcheck-alpine:latest
  stage: lint
  before_script:
    - apk update
    - apk add git
  script:
    - git ls-files --exclude='*.sh' --ignored -c -z | xargs -0r shellcheck
